﻿; AHK GUI Caller for MCUtils: 160409; Author: jmone
; Thread on Interact: http://yabb.jriver.com/interact/index.php?topic=89627.msg615510#msg615510
; ------------------------------------------------------------------------------
; This Script can be called from JRiver Media Center to send command to MCUtils
; ------------------------------------------------------------------------------
#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
#SingleInstance ignore
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

;============= Set Vars ========================================================
vMCUtilsFolder = %A_WorkingDir%
vPerlFolder = %A_WorkingDir%\perl
;DetectHiddenWindows, On
FileDelete, %vMCUtilsFolder%\Log_MCUtils.txt 
FileDelete, %vMCUtilsFolder%\Log_Perl.txt
FileDelete, %vMCUtilsFolder%\Log_File.txt
FileDelete, %vPerlFolder%\Temp_Run.bat

;============= Read and Check Variables sent from MC ===========================
vMCUtil_Cmd = %1%
GoStart:
If !VMCUtil_Cmd
  InputBox, vMCUtil_Cmd, MCUtils - Run Custom Command, Enter a MCUtils Command,,,,,,,, perl 
If vMCUtil_Cmd=Shell
  {
  Run, %vPerlFolder%\portableshell.bat 
  Sleep, 3000 ; wait 3 seconds to prevent multiple windows from running
  ExitApp
  }
If !VMCUtil_Cmd
  goto GoStart

;============= Run Variables sent from MC ===========================
Progress, b1 w400, %vMCUtil_Cmd%, Running Command Please Wait

SetWorkingDir %vPerlFolder%
FileRead, Var1, %vPerlFolder%\portableshell.bat
StringReplace, Var1, Var1, cmd /K, cd..`r`n%vMCUtil_Cmd% >> %vMCUtilsFolder%\Log_MCUtils.txt, All
FileAppend, %Var1%, %vPerlFolder%\Temp_Run.bat

RunWait, Temp_Run.bat > %vMCUtilsFolder%\Log_Perl.txt,, Hide

FileRead, Log_Perl, %vMCUtilsFolder%\Log_Perl.txt
Log_Perl := Substr(Log_Perl, InStr(Log_Perl,"more info")+10)
FileRead, Log_MCUtils, %vMCUtilsFolder%\Log_MCUtils.txt
FileAppend, Finished! See the Log below for more info`r`n %Log_Perl% %Log_MCUtils%, %vMCUtilsFolder%\Log_File.txt

Progress, off
RunWait, notepad.exe %vMCUtilsFolder%\Log_File.txt

ExitApp
